Package fr.gouv.vitam.common.model.processing

# Enum Class LifecycleState

java.lang.Object
java.lang.Enum<LifecycleState>
fr.gouv.vitam.common.model.processing.LifecycleState

All Implemented Interfaces:
  `Serializable`, `Comparable<LifecycleState>`, `Constable`

public enum LifecycleState extends Enum<LifecycleState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  The action doesn't generate lifecycle.
  `FINAL`
  Lifecycle are stored in definitively collection.
  `FLUSH_LFC`
  Lifecycle are stored in definitively collection and commit it in database
  `TEMPORARY`
  Lifecycle are stored in temporary collection, can be rollback.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEnabled()`
  `static LifecycleState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LifecycleState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEMPORARY

    public static final LifecycleState TEMPORARY
    Lifecycle are stored in temporary collection, can be rollback.

  - ### FINAL

    public static final LifecycleState FINAL
    Lifecycle are stored in definitively collection.

  - ### DISABLED

    public static final LifecycleState DISABLED
    The action doesn't generate lifecycle.

  - ### FLUSH_LFC

    public static final LifecycleState FLUSH_LFC
    Lifecycle are stored in definitively collection and commit it in database

- ## Method Details

  - ### values

    public static LifecycleState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LifecycleState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isEnabled

    public boolean isEnabled()